Infrastructure - Story #4278

EML indexing - handle multiple temporalCoverage and spatialCoverage elements
2014-02-14 22:16 - Ben Leinfelder

Status: New Start date:

Priority: Normal Due date:

Assignee: Jing Tao % Done: 0%
Category: di_indexer Estimated time: 0.00 hour
Target version: CCl-2.4.0

Story Points:

Description

Our current index schema only supports single values for coverage elements. This is makes things simple (no confusing multiple
non-contiguous coverage as continuous) but it discards a lot of potential information that would be useful for discovery.

We should be effectively indexing these coverage elements and all their values.

temporalCoverage (including multiple single date times):
beginDate
endDate

spatialCoverage:
eastBoundCoord
westBoundCoord
northBoundCoord
southBoundCoord

History

#1 - 2015-01-19 22:49 - Dave Vieglais

- Project changed from Infrastructure to CN Index

#2 - 2017-03-28 16:13 - Dave Vieglais

- Category set to d1_indexer

- Target version set to CCI-2.4.0

- Project changed from CN Index to Infrastructure

- Milestone set to None

#3 - 2018-01-17 20:04 - Dave Vieglais

- Assignee set to Jing Tao

#4 - 2018-01-17 20:04 - Dave Vieglais

- Sprint set to Infrastructure backlog
